LiferaySOAPGroupManager (UserManagement-ws 1.0.2-3.3.0 API)
Date: 2014-07-19

org.gcube.vomanagement.usermanagement.ws

## Class LiferaySOAPGroupManager

- java.lang.Object
- - org.gcube.vomanagement.usermanagement.ws.LiferaySOAPGroupManager

-     public class LiferaySOAPGroupManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiferaySOAPGroupManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.vomanagement.usermanagement.model.GroupModel` | `getGroup(String groupId)`
    `String` | `getGroupId(String groupName)`
    `long` | `getGroupParentId(String groupId)`
    `org.gcube.vomanagement.usermanagement.model.GroupModel` | `getRootVO()`
    `String` | `getRootVOName()`
    `String` | `getScope(String groupId)`
    `Boolean` | `isRootVO(String groupId)`
    `Boolean` | `isVO(String groupId)`
    `Boolean` | `isVRE(String groupId)`
    `List<org.gcube.vomanagement.usermanagement.model.GroupModel>` | `listGroups()`
    `List<StringRoleListCoupleWrapper>` | `listGroupsAndRolesByUser(String userId)`
    `List<org.gcube.vomanagement.usermanagement.model.GroupModel>` | `listGroupsByUser(String userId)`
    `List<org.gcube.vomanagement.usermanagement.model.GroupModel>` | `listPendingGroupsByUser(String userId)`
    `List<org.gcube.vomanagement.usermanagement.model.GroupModel>` | `listSubGroupsByGroup(String groupIdn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiferaySOAPGroupManager

          public LiferaySOAPGroupManager()

  - ### Method Detail

    - #### getGroup

          public org.gcube.vomanagement.usermanagement.model.GroupModel getGroup(String groupId)
                                                                          throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                 org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### getGroupId

          public String getGroupId(String groupName)
                            throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                   org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### getGroupParentId

          public long getGroupParentId(String groupId)
                                throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                       org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### getRootVO

          public org.gcube.vomanagement.usermanagement.model.GroupModel getRootVO()
                                                                           throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                  org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### getRootVOName

          public String getRootVOName()
                               throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                      org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### getScope

          public String getScope(String groupId)
                          throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                 org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### isRootVO

          public Boolean isRootVO(String groupId)
                           throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                  org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### isVO

          public Boolean isVO(String groupId)
                       throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                              org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### isVRE

          public Boolean isVRE(String groupId)
                        throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                               org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

    - #### listGroups

          public List<org.gcube.vomanagement.usermanagement.model.GroupModel> listGroups()
                                                                                  throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listGroupsAndRolesByUser

          public List<StringRoleListCoupleWrapper> listGroupsAndRolesByUser(String userId)
                                                                     throws org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException,
                                                                            org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                            org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                            org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementPortalException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserRetrievalFault`

    - #### listGroupsByUser

          public List<org.gcube.vomanagement.usermanagement.model.GroupModel> listGroupsByUser(String userId)
                                                                                        throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listPendingGroupsByUser

          public List<org.gcube.vomanagement.usermanagement.model.GroupModel> listPendingGroupsByUser(String userId)
                                                                                               throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listSubGroupsByGroup

          public List<org.gcube.vomanagement.usermanagement.model.GroupModel> listSubGroupsByGroup(String groupIdn)
                                                                                            throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                                   org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

Copyright © 2014. All Rights Reserved.